Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartInfo

    java.lang.Object
      jet.report.xls.ChartInfo

    public class ChartInfo

extends java.lang.Object

contains the information of chart in the file.

Field Summary
`static int` | `DEFAULT`
`static short` | `MONOCHROIC`
`static short` | `VARIED`

Constructor Summary
`ChartInfo()`
`ChartInfo(float x, float y, float width, float height, ChartTypeInfo chartTypeInfo, ChartLabelInfo xAxisName, ChartLabelInfo yAxisName, ChartLabelInfo zAxisName, ChartLabelInfo chartTitle, LegendInfo legendInfo, ChartLocInfo chartLocInfo, ChartAreaInfo chartAreaInfo, short chartFormat, GlobalWorksheet gws)` Constructs class ChartInfo and sets its fields appropriately.

Method Summary
`ChartAreaInfo` | `getChartAreaInfo()` Get the Information of chart Area
`short` | `getChartFormat()` Get chart format 1 for vary color for each data point, 0 for monochroic.
`ChartLocInfo` | `getChartLocInfo()` Get the information of chart location
`ChartLabelInfo` | `getChartTitle()` Get the title of chart
`ChartTypeInfo` | `getChartTypeInfo()` Get the informatint of chart type
`float` | `getHeight()` Get the height of chart
`LegendInfo` | `getLegendInfo()` Get the information of chart legend
`ChartPaperInfo` | `getPaperInfo()` Get the information of chart paper
`float` | `getWidth()` Get the width of chart
`float` | `getX()` Get the x position of chart
`ChartLabelInfo` | `getXAxisName()` Get the x axis name of chart
`int` | `getXIfmt()` Get the x axis format index
`float` | `getY()` Get the y position of chart
`int` | `getY2Ifmt()` Get the y2 axis format index
`int` | `getY2ScaleUnit()` Get the y2 axis scale unit
`ChartLabelInfo` | `getYAxisName()` Get the y axis name of chart
`int` | `getYIfmt()` Get the y axis format index
`int` | `getYScaleUnit()` Get the y axis scale unit
`ChartLabelInfo` | `getZAxisName()` Get the z axis name of chart
`int` | `getZIfmt()` Get the z axis format index
`void` | `setChartAreaInfo(ChartAreaInfo chartAreaInfo)` Set the Information of chart Area
`void` | `setChartFormat(short chartFormat)` Set chart format 1 for vary color for each data point, 0 for monochroic.
`void` | `setChartLocInfo(ChartLocInfo chartLocInfo)` Set the information of chart location
`void` | `setChartTitle(ChartLabelInfo chartTitle)` Set the title of chart
`void` | `setChartTypeInfo(ChartTypeInfo chartTypeInfo)` Set the informatint of chart type
`void` | `setHeight(float height)` Set the height of chart
`void` | `setLegendInfo(LegendInfo legendInfo)` Set the information of chart legend
`void` | `setPaperInfo(ChartPaperInfo paperInfo)` Set the information of chart paper
`void` | `setWidth(float width)` Set the width of chart
`void` | `setX(float x)` Set the x position of chart
`void` | `setXAxisName(ChartLabelInfo xAxisName)` Set the x axis name of chart
`void` | `setXIfmt(int index)` Set the x axis format index
`void` | `setY(float y)` Set the y position of chart
`void` | `setY2Ifmt(int index)` Set the y2 axis format index
`void` | `setY2ScaleUnit(int scale)` Set the y2 axis scale unit
`void` | `setYAxisName(ChartLabelInfo yAxisName)` Set the y axis name of chart
`void` | `setYIfmt(int index)` Set the y axis format index
`void` | `setYScaleUnit(int scale)` Set the y axis scale unit
`void` | `setZAxisName(ChartLabelInfo zAxisName)` Set the z axis name of chart
`void` | `setZIfmt(int index)` Set the z axis format index

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### MONOCHROIC

    public static final short MONOCHROIC

See Also:
  Constant Field Values

### VARIED

    public static final short VARIED

See Also:
  Constant Field Values

Constructor Detail

### ChartInfo

    public ChartInfo()

### ChartInfo

    public ChartInfo(float x,
                     float y,
                     float width,
                     float height,
                     ChartTypeInfo chartTypeInfo,
                     ChartLabelInfo xAxisName,
                     ChartLabelInfo yAxisName,
                     ChartLabelInfo zAxisName,
                     ChartLabelInfo chartTitle,
                     LegendInfo legendInfo,
                     ChartLocInfo chartLocInfo,
                     ChartAreaInfo chartAreaInfo,
                     short chartFormat,
                     GlobalWorksheet gws)

  Constructs class ChartInfo and sets its fields appropriately.

  Parameters:
    `x` - The x-position of upper-left corner
    `y` - The y-position of upper-left corner
    `width` - Width of the chart
    `height` - Height of the chart
    `chartTypeInfo` - The information of the chart type
    `seriesInfos` - The information of the serises
    `xAxisName` - Name of x axis
    `yAxisName` - Name of y axis
    `zAxisName` - Name of z axis
    `chartTitle` - Title of the chart
    `legendInfo` - The information of legend
    `chartLocInfo` - The information of chart location
    `chartForColor` - The chart forground color
    `chartBacColor` - The background color of chart
    `paperInfo` - The information of chart paper
    `chartFormat` - Identify the chart is multicolor or not

Method Detail

### setX

    public void setX(float x)

  Set the x position of chart

### getX

    public float getX()

  Get the x position of chart

  Returns:
    the x position of chart

### setY

    public void setY(float y)

  Set the y position of chart

### getY

    public float getY()

  Get the y position of chart

  Returns:
    the y position of chart

### setWidth

    public void setWidth(float width)

  Set the width of chart

### getWidth

    public float getWidth()

  Get the width of chart

  Returns:
    the width of chart

### setHeight

    public void setHeight(float height)

  Set the height of chart

### getHeight

    public float getHeight()

  Get the height of chart

  Returns:
    the height of chart

### setChartTypeInfo

    public void setChartTypeInfo(ChartTypeInfo chartTypeInfo)

  Set the informatint of chart type

### getChartTypeInfo

    public ChartTypeInfo getChartTypeInfo()

  Get the informatint of chart type

  Returns:
    the informatint of chart type

### getXAxisName

    public ChartLabelInfo getXAxisName()

  Get the x axis name of chart

  Returns:
    the x axis name of chart

### setXAxisName

    public void setXAxisName(ChartLabelInfo xAxisName)

  Set the x axis name of chart

  Parameters:
    `xAxisName` - the x axis name of chart

### getYAxisName

    public ChartLabelInfo getYAxisName()

  Get the y axis name of chart

  Returns:
    the y axis name of chart

### setYAxisName

    public void setYAxisName(ChartLabelInfo yAxisName)

  Set the y axis name of chart

  Parameters:
    `yAxisName` - the y axis name of chart

### getZAxisName

    public ChartLabelInfo getZAxisName()

  Get the z axis name of chart

  Returns:
    the z axis name of chart

### setZAxisName

    public void setZAxisName(ChartLabelInfo zAxisName)

  Set the z axis name of chart

  Parameters:
    `zAxisName` - the z axis name of chart

### getChartTitle

    public ChartLabelInfo getChartTitle()

  Get the title of chart

  Returns:
    the title of chart

### setChartTitle

    public void setChartTitle(ChartLabelInfo chartTitle)

  Set the title of chart

  Parameters:
    `chartTitle` - the title of chart

### setLegendInfo

    public void setLegendInfo(LegendInfo legendInfo)

  Set the information of chart legend

  Parameters:
    `legendInfo` - the information of chart legend

### getLegendInfo

    public LegendInfo getLegendInfo()

  Get the information of chart legend

  Returns:
    the information of chart legend

### setChartLocInfo

    public void setChartLocInfo(ChartLocInfo chartLocInfo)

  Set the information of chart location

  Parameters:
    `ChartLocInfo` - the information of chart location

### getChartLocInfo

    public ChartLocInfo getChartLocInfo()

  Get the information of chart location

  Returns:
    the information of chart location

### setChartAreaInfo

    public void setChartAreaInfo(ChartAreaInfo chartAreaInfo)

  Set the Information of chart Area

  Parameters:
    `chartAreaInfo` - the Information of chart Area

### getChartAreaInfo

    public ChartAreaInfo getChartAreaInfo()

  Get the Information of chart Area

  Returns:
    the Information of chart Area

### setPaperInfo

    public void setPaperInfo(ChartPaperInfo paperInfo)

  Set the information of chart paper

  Parameters:
    `paperInfo` - the information of chart paper

### getPaperInfo

    public ChartPaperInfo getPaperInfo()

  Get the information of chart paper

  Returns:
    the information of chart paper

### setChartFormat

    public void setChartFormat(short chartFormat)

  Set chart format 1 for vary color for each data point, 0 for monochroic.

  Parameters:
    `chartFormat` - the chart format
  See Also:
    `MONOCHROIC`, `VARIED`

### getChartFormat

    public short getChartFormat()

  Get chart format 1 for vary color for each data point, 0 for monochroic.

  Returns:
    chart format 1 for vary color for each data point, 0 for monochroic.
  See Also:
    `MONOCHROIC`, `VARIED`

### setXIfmt

    public void setXIfmt(int index)

  Set the x axis format index

### getXIfmt

    public int getXIfmt()

  Get the x axis format index

  Returns:
    the x axis format index

### setYIfmt

    public void setYIfmt(int index)

  Set the y axis format index

### getYIfmt

    public int getYIfmt()

  Get the y axis format index

  Returns:
    the y axis format index

### setY2Ifmt

    public void setY2Ifmt(int index)

  Set the y2 axis format index

### getY2Ifmt

    public int getY2Ifmt()

  Get the y2 axis format index

  Returns:
    the y2 axis format index

### setZIfmt

    public void setZIfmt(int index)

  Set the z axis format index

### getZIfmt

    public int getZIfmt()

  Get the z axis format index

  Returns:
    the z axis format index

### setYScaleUnit

    public void setYScaleUnit(int scale)

  Set the y axis scale unit

### getYScaleUnit

    public int getYScaleUnit()

  Get the y axis scale unit

  Returns:
    the y axis scale unit

### setY2ScaleUnit

    public void setY2ScaleUnit(int scale)

  Set the y2 axis scale unit

### getY2ScaleUnit

    public int getY2ScaleUnit()

  Get the y2 axis scale unit

  Returns:
    the y2 axis scale unit

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD